Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.netuix.application.definition
Enum PortletMarkup.PortletType

    java.lang.Object
      java.lang.Enum<PortletMarkup.PortletType>
          com.bea.netuix.application.definition.PortletMarkup.PortletType

All Implemented Interfaces
  Serializable, Comparable<PortletMarkup.PortletType>

Enclosing class:
  PortletMarkup

    public static enum PortletMarkup.PortletType

extends Enum<PortletMarkup.PortletType>

Enum Constant Summary
`jpf`
`jsf`
`jsp`
`struts`
`uri`

Method Summary
`static PortletMarkup.PortletType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PortletMarkup.PortletType[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### jsp

    public static final PortletMarkup.PortletType jsp

### jpf

    public static final PortletMarkup.PortletType jpf

### struts

    public static final PortletMarkup.PortletType struts

### jsf

    public static final PortletMarkup.PortletType jsf

### uri

    public static final PortletMarkup.PortletType uri

Method Detail

### values

    public static final PortletMarkup.PortletType[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static PortletMarkup.PortletType valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved